<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.Sample"
	import="net.sf.basedb.core.Hardware"
	import="net.sf.basedb.core.BioPlate"
	import="net.sf.basedb.core.BioWell"
	import="net.sf.basedb.core.PermissionDeniedException"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.util.extensions.Extension"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="java.util.List"
	import="java.util.ArrayList"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
final int BLOCKS_PER_PAGE = 3;
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final Extension reggie = ExtensionsControl.get(dc).getExtension("net.sf.basedb.reggie");
	final User user = User.getById(dc, sc.getLoggedInUserId());
	List<Sample> specimen = new ArrayList<Sample>();
	for (String id : request.getParameter("specimen").split(","))
	{
		specimen.add(Sample.getById(dc, Values.getInt(id)));
	}
%>
<base:page id="protocol" type="iframe" noskin="true"
	favicon="<%=home+"/images/partition.png"%>" 
	title="Pick list protocol for specimen re-extraction">
<base:head
	scripts="~../reggie-2.js,~reextract_picklist.js" 
	styles="~../css/reggie-2.css,~../css/printable.css"
	>
	<style>
	
	table.samplelist
	{
		width: 100%;
		border-collapse: collapse;
		border: 1px solid #000000;
	}
	
	table.samplelist > tbody > tr
	{
		height: 1.25cm;
	}
	
	table.samplelist > tbody > tr > th
	{
		background-color: #F0F0F0;
		border: 1px solid #000000;
		font-size: 1em;
	}
	
	table.samplelist > tbody > tr > td
	{
		border: 1px solid #000000;
		vertical-align: middle;
		font-size: 1em;
		padding: 0.5em;
	}
	
	.name
	{
		font-weight: bold;
		width: 15%;
	}
	.freezer
	{
		width: 30%;
	}
	.box
	{
		width: 15%;
		text-align: center;
	}
	.remain
	{
		width: 15%;
		text-align: center;
	}
	.remark
	{
		width: 25%;
	}
	
	</style>
</base:head>
<base:body>

	<div class="paper">

	<form name="reggie" id="wizard">

	<div id="wizard-status"></div>

	<div id="all-protocol" style="display: none;">

	<div id="print-instructions" class="noprint fullwidth">
		<base:button id="print-button" image="<%=home+"/images/print.png"%>" title="Print&hellip;" />
		<br clear="all">
	</div>

	<h1>Pick list protocol for specimen re-extraction <span class="reggie">Reggie <%=reggie.getAbout().getVersion() %></span></h1>

	<table style="width: 100%;" class="samplelist">
	<tr>
		<th class="name">Sample</th>
		<th class="freezer">Freezer</th>
		<th class="box">Box</th>
		<th class="remain">Remaining quantity</th>
		<th class="remark">Remark</th>
	</tr>
	<%
	for (Sample s : specimen)
	{
		Float reminingQuantity = s.getRemainingQuantity();
		BioWell well = s.getBioWell();
		BioPlate plate = well.getPlate();
		Hardware freezer = plate.getFreezer();
		
		%>
		<tr>
			<td class="name"><%=HTML.encodeTags(s.getName()) %></td>
			<td class="freezer">
				<%=HTML.encodeTags(freezer.getName()) %><br>
				Section <%=plate.getSection() %>, Tray <%=plate.getTray() %>, Position <%=plate.getPosition() %>
			</td>
			<td class="box"><%=HTML.encodeTags(plate.getName()) %> <%=well.getCoordinate() %></td>
			<td class="remain"><%=Values.formatNumber(reminingQuantity / 1000, 0, "mg") %></td>
			<td class="remark"></td>
		</tr>
		<%
	}
	%>
	</table>
</div>
</form>
</div>
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>